aboutsummaryrefslogtreecommitdiffstats
path: root/testing/kpimtextedit/APKBUILD
blob: 441f3556d5bf068d302b20699b3b55055cab0e88 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kpimtextedit
pkgver=19.12.2
pkgrel=0
pkgdesc="Advanced text editor which provide advanced html feature"
arch="all !armhf"
url="https://api.kde.org/kdepim/kpimtextedit/html"
license="LGPL-2.0-or-later AND GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtspeech-dev grantlee-dev kcodecs-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kemoticons-dev ki18n-dev kiconthemes-dev kio-dev sonnet-dev syntax-highlighting-dev kwidgetsaddons-dev kxmlgui-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"

build() {
	cmake \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DBUILD_DESIGNERPLUGIN=ON
	make
}

check() {
	# kpimtextedit-plaintext-textgotolinewidgettest requires OpenGL
	# kpimtextedit-texttospeech-texttospeechwidgettest requires texttospeech
	# kpimtextedit-texttospeech-texttospeechactionstest is broken
	# kpimtextedit-composerng-richtextcomposertest requires OpenGL
	# kpimtextedit-composerng-richtextcomposercontrolertest requires OpenGL
	CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest -E "kpimtextedit-(plaintext-textgotolinewidget|texttospeech-texttospeechwidget|texttospeech-texttospeechactions|composerng-richtextcomposer|composerng-richtextcomposercontroler)test"
}

package() {
	DESTDIR="$pkgdir" make install
}
sha512sums="a7a0e5312c86d117a3a1c2a2f9992f69a19419bded915a809abf3a9b365ed780bf4dfd94d17662a5f0d59d7163acd6ad032b71e0cceb9800a61764008eb9ea8d  kpimtextedit-19.12.2.tar.xz"